View Issue Details

IDProjectCategoryView StatusLast Update
0002632Ham Radio DeluxeBugpublic2018-04-17 07:19
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.797 
Target VersionFixed in Version6.4.0.806 
Summary0002632: Logbook: QRZ lookup doesn't handle non ASCII characters at QRZ lookup
DescriptionThe Logbook doesn't handle high-ASCII characters correctly; this is a form of data corruption because fidelity of representation is lost.
Steps To Reproduce
1) Fire up Logbook
2) Use the "Callsign Lookup" command in the "Configure" menu to make sure QRZ XML lookups are enabled
3) Use the "Add" button to open the QSO editor
4) Enter a user who has a name and/or addres with accented characters in it. I'm testing with "EA2KR".
5) Click on the "Loation" tab
6) Press "Lookup"

BUG#1) The name populates like this:

Óscar Sánchez cárdenas
Concejo De Zabalegui nº 24 1º C
31110 Noain (Navarra)
 
Spain

Visiting QRZ, you can find this operator's call and name and address; it looks like this:

Óscar Sánchez cárdenas
Concejo De Zabalegui nº 24 1º C
31110 Noain (Navarra)
Spain


The tilde-A characters before the accented characters in the strings is characteristic of a failure to handle UTF-8 encoding.

TagsNo tags attached.
ModuleLogbook
Sub-ModuleInstall
Testing Beta Successful

Relationships

has duplicate 0001850 closedWA9PIE Logbook - lookup not correctly showing special chars on QRZ lookup 
has duplicate 0001771 closedK7ZCZ ALE window does not display certain characters properly 
has duplicate 0001772 closedK7ZCZ DM-780 - The callsign XE1USG does not carry over to Logbook 

Activities

K7ZCZ

2018-03-28 23:18

manager   ~0004590

Originally reported in in the forums here: https://forums.ham-radio-deluxe.com/node/43120?p=43850

K7ZCZ

2018-03-31 12:41

manager   ~0004609

A shelf set is out for review with code to address this issue.

https://hrdsoftware.visualstudio.com/HRD/_versionControl/shelveset?ss=accented%20character%20fix%3Bmikeblas%40msn.com

K7ZCZ

2018-04-01 13:12

manager   ~0004619

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4012

vk2byi

2018-04-04 04:53

viewer   ~0004665

Verified that the ALE now correctly displays Unicode characters with the EA2KR test case call. This will be a greatly appreciated fix no doubt!

Issue History

Date Modified Username Field Change
2018-03-28 23:12 K7ZCZ New Issue
2018-03-28 23:18 K7ZCZ Note Added: 0004590
2018-03-31 12:41 K7ZCZ Note Added: 0004609
2018-04-01 13:12 K7ZCZ Assigned To => K7ZCZ
2018-04-01 13:12 K7ZCZ Status new => resolved
2018-04-01 13:12 K7ZCZ Resolution open => fixed
2018-04-01 13:12 K7ZCZ Note Added: 0004619
2018-04-01 13:12 K7ZCZ Relationship added has duplicate 0001850
2018-04-02 10:39 K7ZCZ Fixed in Version => 6.4.0.798
2018-04-04 04:53 vk2byi Note Added: 0004665
2018-04-04 14:52 WA9PIE Status resolved => closed
2018-04-04 14:52 WA9PIE Steps to Reproduce Updated View Revisions
2018-04-04 14:52 WA9PIE Testing Not Started => Beta Successful
2018-04-07 19:23 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-04-07 19:25 WA9PIE Fixed in Version 6.4.0.798 => 6.4.0.805
2018-04-09 14:37 WA9PIE Fixed in Version 6.4.0.805 => 6.4.0.806
2018-04-17 07:19 K7ZCZ Relationship added related to 0001771
2018-04-17 07:20 K7ZCZ Relationship deleted related to 0001771
2018-04-17 07:22 K7ZCZ Relationship added has duplicate 0001771
2018-04-17 07:24 K7ZCZ Relationship added has duplicate 0001772